<?php
$titre = $titresite;
if(!empty($needserveur) AND $needserveur == TRUE) {
	$api = new JSONAPI($external_ip, $port, $utilisateur, $motdepasse, $salt);
	$serverip = $api->call("getServerIp");
	$server = $api->call("getServer");
	
	if($serverip["result"]=="success") {
		$etatJSONAPI = true;
	} else {
		$etatJSONAPI = false;
	}
	
	$Query = new MinecraftQuery( );
	try {
		$Query->Connect( MQ_SERVER_ADDR, MQ_SERVER_PORT, MQ_TIMEOUT );
	} catch( MinecraftQueryException $e ) {
		$Error = $e->getMessage( );
	}
	$mc_InfosServeur = $Query->GetInfo();
	
	if(!empty($mc_InfosServeur)) {
		$etatMq = true;
	} else {
		$etatMq = false;
	}
	$etatRcon = true;
}

if($permissionsModo[9] == true) {
	if(!empty($_GET['option'])) {
		$api = new JSONAPI($external_ip, $port, $utilisateur, $motdepasse, $salt);
		if($_GET['option']=="reload") {
			$api->call("runConsoleCommand", array("reload"));
			header("location: index.php?msg=reload:true");
		}
		if($_GET['option']=="stop") {
			$api->call("runConsoleCommand", array("stop"));
			header("location: index.php?msg=stop:true");
		}
	}
}

$maj_etat = file_get_contents("../include/config/maj.txt");
if(strstr($maj_etat, 'false')) {
	$maj_etat = false;
} else {
	$maj_etat = true;
}

?>
<!doctype html>
<html lang="fr">
    <head>
		<meta charset="UTF-8">
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title><?php if(!empty($titre_page) AND ($titre_page!="accueil")) { echo $titre_page.' - '; } ?>Gérer votre CMS</title> 
        <meta name="robots" content="noindex, nofollow">
		<link rel="stylesheet" href="/style/<?php echo $theme; ?>/reset.css" media="screen">			
		<link rel="stylesheet" href="/style/<?php echo $theme; ?>/admin.css" media="screen">
		<link type="image/png" rel="shortcut icon" href="/images/favicon.ico">
		<script type="text/javascript" src="/js/jquery.min.js"></script>
		<script type="text/javascript" src="/js/jquery-ui.min.js"></script>
		<script type="text/javascript" src="/js/admin.js"></script>
		<script type="text/javascript" src="/js/envoicommande.js"></script>
		<script type="text/javascript" src="/js/reset.js"></script>
	</head>
	
	<body>
		<div id="header">
			<div style="float:left; padding-top:12px;">
				<h1><?php echo $titre; ?></h1>
				<?php
				if($rang == "3") { echo '<h2>Panel d\'administration</h2>'; }
				if($rang == "2") { echo '<h2>Panel de modération</h3>'; }
				?>
			</div>
			<?php
			if($permissionsModo[9] == true OR $permissionsAdmin == true) { ?>
				<div class="informations">
					<strong>Paramètres rapides</strong><br>
					<a onclick="envoicommande()"><img src="/images/GUI/006.png" alt="tool" title="Commande rapide"></a>
					<a href="?option=reload"><img  src="/images/GUI/002n.png" alt="reload" title="Recharger votre serveur"></a>
					<a href="?option=stop"><img  src="/images/GUI/060.png" alt="stopserveur" title="Arrêter votre serveur"></a>
				</div>
			<?php } ?>
		</div>
        <div id="menudroite">
            <a href='/'><img src="/images/GUI/016.png">Revenir sur le site</li>
			<?php
			if(in_array('index.php', $pageModo)) { ?><a href='/admin/' <?php if($titre_page=="accueil") { echo "class=\"selected\""; } ?>><img src="/images/GUI/001.png">Tableau de bord</a><?php }
			if(in_array('news.php', $pageModo)) { ?><a href='/admin/news.php' <?php if($titre_page=="Gérer les news") { echo "class=\"selected\""; } ?>><img src="/images/GUI/006_n.png">Gérer les news</a> <?php }
            if(in_array('boutique.php', $pageModo)) { ?><a href='/admin/boutique.php' <?php if($titre_page=="Boutique") { echo "class=\"selected\""; } ?>><img src="/images/GUI/046.png">Gérer la boutique</a><?php } 
			if($permissionsAdmin == true) { ?>
				<a href='/admin/membres.php' <?php if($titre_page=="Gérer les membres") { echo "class=\"selected\""; } ?>><img src="/images/GUI/002.png">Gérer les membres</a>
				<a href='/admin/slider.php' <?php if($titre_page=="Gérer le slider") { echo "class=\"selected\""; } ?>><img src="/images/GUI/017.png">Gérer le slider</a>
				<a href='/admin/site.php' <?php if($titre_page=="Paramètre du site") { echo "class=\"selected\""; } ?>><img src="/images/GUI/025.png">Paramètre du site</a>
				<a href='/admin/pages.php' <?php if($titre_page=="Paramètre des pages") { echo "class=\"selected\""; } ?>><img src="/images/GUI/025.png">Paramètre des pages</a>
				<a href='/admin/serveur_c.php' <?php if($titre_page=="Paramètre du serveur") { echo "class=\"selected\""; } ?>><img src="/images/GUI/025.png">Paramètre du serveur</a>
				<a href='/admin/reglement.php' <?php if($titre_page=="Editer le règlement") { echo "class=\"selected\""; } ?>><img src="/images/GUI/023_n.png">Editer le règlement</a>
				<a href='/admin/liaison.php' <?php if($titre_page=="Laison Site/Serveur") { echo "class=\"selected\""; } ?>><img src="/images/GUI/018_n.png">Liaison site-serveur</a>
				<a href='/admin/console.php' <?php if($titre_page=="Console du serveur") { echo "class=\"selected\""; } ?>><img src="/images/GUI/006.png">Console du serveur</a>
				<a target="_blank" href='/?aff=diagnostic' <?php if($titre_page=="Diagnostic de votre CMS") { echo "class=\"selected\""; } ?>><img src="/images/GUI/010.png">Diagnostic CMS</a>
				<a target="_blank" href='/admin/log_connexion.php' <?php if($titre_page=="Logs de connexion") { echo "class=\"selected\""; } ?>><img src="/images/GUI/006_n.png">Logs de connexion</a>
				<a href='/admin/banni.php' <?php if($titre_page=="Banni du site") { echo "class=\"selected\""; } ?>><img src="/images/GUI/025.png">Bannir utilisateur</a>
				<hr>
				<a href="/admin/update.php" <?php  if($titre_page == "Mises à jours") { echo 'class="selected"'; } ?>><img src="/images/GUI/018.png">Mises à jours<?php if($maj_etat == false) { ?> <span class="notification">!</span><?php } else { echo '<img style="vertical-align:center; left:4px;position:relative; width:16px;" src="/images/true.png">'; } ?></a>	
				<a href='/admin/custom.php' <?php if($titre_page=="Onglets/Modules") { echo "class=\"selected\""; } ?>><img src="/images/GUI/115.png">Onglets/Modules</a>
				<a href='/admin/maintenance.php' <?php if($titre_page=="Maintenance") { echo "class=\"selected\""; } ?>><img src="/images/GUI/072.png">Maintenance</a>
				<a href='/admin/ajoutpage.php' <?php if($titre_page=="Ajouter une page") { echo "class=\"selected\""; } ?>><img src="/images/GUI/040.png">Ajouter une page</a>
				<hr>
				<a href='/admin/plugins.php' <?php if($titre_page=="Gestion des plugins") { echo "class=\"selected\""; } ?>><img src="/images/GUI/049.png">Gestion des plugins</a>
				<?php listePlugins('onglets', null); ?>
				<hr>
				<a href='/admin/themes.php' <?php if($titre_page=="Gestion des thèmes") { echo "class=\"selected\""; } ?>><img src="/images/GUI/088.png">Gestion des thèmes</a>
			<?php } ?>
	    </div>